osgUtil::IncrementalCompileOperation::CompileProgramOp Struct Reference

`#include <IncrementalCompileOperation>`

Inheritance diagram for osgUtil::IncrementalCompileOperation::CompileProgramOp:

## Public Member Functions

| CompileProgramOp (osg::Program *program)
double | estimatedTimeForCompile (CompileInfo &compileInfo) const
bool | compile (CompileInfo &compileInfo)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::Program > | _program

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## CompileProgramOp()

osgUtil::IncrementalCompileOperation::CompileProgramOp::CompileProgramOp | ( | osg::Program * | program | ) |

## Member Function Documentation

## compile()

bool osgUtil::IncrementalCompileOperation::CompileProgramOp::compile | ( | CompileInfo & | compileInfo | ) |

virtual

compile associated objects, return true if object as been fully compiled and this CompileOp can be removed from the to compile list.

Implements osgUtil::IncrementalCompileOperation::CompileOp.

## estimatedTimeForCompile()

double osgUtil::IncrementalCompileOperation::CompileProgramOp::estimatedTimeForCompile | ( | CompileInfo & | compileInfo | ) | const

virtual

return an estimate for how many seconds the compile will take.

Implements osgUtil::IncrementalCompileOperation::CompileOp.

## Member Data Documentation

## _program

osg::ref_ptr<osg::Program> osgUtil::IncrementalCompileOperation::CompileProgramOp::_program

The documentation for this struct was generated from the following file:

- IncrementalCompileOperation